Skip to main content
POST
https://postonce.to/api/public
/
v1
/
workflows
curl --request POST \
  --url https://postonce.to/api/public/v1/workflows \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Workflow A to B",
  "source_account_id": "account-1",
  "target_account_ids": [
    "account-2"
  ],
  "is_active": true
}
'
{
  "data": {
    "id": "<string>",
    "profile_id": "<string>",
    "source_account_id": "<string>",
    "target_account_ids": [
      "<string>"
    ],
    "settings": {
      "content_filters": {
        "types": {
          "text": true,
          "image": true,
          "quote": true,
          "video": true
        },
        "hashtags": {
          "include": [
            "<string>"
          ],
          "exclude": [
            "<string>"
          ]
        }
      }
    },
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "future_content_enabled": true,
    "last_checked": "2023-11-07T05:31:56Z",
    "last_enabled_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.postonce.to/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
source_account_id
string
required
target_account_ids
string[]
required
description
string | null
is_active
boolean
future_content_enabled
boolean
settings
object

Response

Workflow created successfully.

data
object